import gitconfig from 'gitconfig';
import constant from 'crocks/combinators/constant';

const getGitConfigFrom = location => key =>
  gitconfig.get(key, { location });

const getLocal = getGitConfigFrom('local');
const getGlobal = getGitConfigFrom('global');

export const getGitConfig = key => getLocal(key)
  .catch(() => getGlobal(key))
  .catch(constant(undefined));
