import { LitElement, html, property } from 'lit-element';

import style from './<%= tagName %>.css';

/**
 * An element by Forter
 * <!-- Author: <%= authorName %> <<%= authorEmail %>> -->
 *
 * ## Usage
 *
 * ```html
 * <script>
 *   import '@forter/<%= tagName %>';
 * </script>
 *
 * <<%= tagName %>>
 * </<%= tagName %>>
 * ```
 *
 * @element <%= tagName %>
 * @cssprop --<%= tagName %>-disabled-color - color.
 * @cssprop --<%= tagName %>-disabled-color - disabled color. example: `gray`
 */
export class <%= className %> extends LitElement {
  /**
   * If the element is disabled
   * @type {Boolean}
   * @attr
   */
  @property({ type: Boolean }) disabled = false;

  /** @inheritdoc */
  static is = '<%= tagName %>';

  /** @inheritdoc */
  static styles = [style];

  /** @inheritdoc */
  render() {
    return html`
      <output>
      </output>
    `;
  }
}
